"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.editFile = void 0;
const fs = require("fs");
const elements_1 = require("../elements");

/**
 * Creates a `Command` that edits a file by `readFile()` and `writeFile()`.
 * Does not use `stream` so not suited for huge files.
 */
const editFile = (path, convert, encoding = "utf8") => {
  const edit = async () => {
    const data = await fs.promises.readFile(path, { encoding });
    await fs.promises.writeFile(path, convert(data));
  };
  return elements_1.cmdEx(edit, `editFile ${path}`);
};
exports.editFile = editFile;
