/** Creates a command line string by joining arguments. */
export declare const create: (command: string, args: string[]) => string;

/** Runs a command line immediately & asynchronously without emitting log. */
export declare const execLineWithoutLog: (line: string) => Promise<void>;

/** Runs a command immediately & asynchronously. */
export declare const exec: (
  command: string,
  ...args: string[]
) => Promise<void>;

/**
 * May be used as a placeholder instead of `exec()`.
 * Emits a debug log immediately and does nothing else.
 */
export declare const execNull: (
  command: string,
  ...args: string[]
) => Promise<void>;
