import * as fs from "fs";
import { Command } from "../types";

/**
 * Creates a `Command` that calls `fs.promises.unlink()`.
 */
export declare const unlink: (path: fs.PathLike) => Command;

/**
 * Creates a `Command` that calls `fs.promises.rename()`.
 */
export declare const rename: (
  oldPath: fs.PathLike,
  newPath: fs.PathLike
) => Command;
declare type CopyFileParams = Parameters<typeof fs.promises.copyFile>;

/**
 * Creates a `Command` that calls `fs.promises.unlink()`.
 * @param flags See Node.js docs.
 */
export declare const copyFile: (
  src: fs.PathLike,
  dest: fs.PathLike,
  flags?: CopyFileParams[2]
) => Command;
declare type MkdirParams = Parameters<typeof fs.promises.mkdir>;

/**
 * Creates a `Command` that calls `fs.promises.mkdir()`.
 * @param options See Node.js docs.
 */
export declare const mkdir: (
  path: fs.PathLike,
  options?: MkdirParams[1]
) => Command;
declare type RmdirParams = Parameters<typeof fs.promises.rmdir>;

/**
 * Creates a `Command` that calls `fs.promises.rmdir()`.
 * @param options See Node.js docs.
 */
export declare const rmdir: (
  path: fs.PathLike,
  options?: RmdirParams[1]
) => Command;
declare type WriteFileParams = Parameters<typeof fs.promises.writeFile>;

/**
 * Creates a `Command` that calls `fs.promises.writeFile()`.
 * @param options See Node.js docs.
 */
export declare const writeFile: (
  path: WriteFileParams[0],
  data: WriteFileParams[1],
  options: WriteFileParams[2]
) => Command;
export {};
