import { Command } from "../types";

/** `Command` that runs an external asynchronous function. */
interface ExternalCommand extends Command {
  readonly runner: () => Promise<void>;
}

/**
 * Creates a `Command` unit from an external asynchronous function.
 * @param promiserFunc Any function of type `() => Promise<void>`.
 * @param name Name for displaying instead of an actual command line.
 */
export declare const cmdEx: (
  promiserFunc: () => Promise<void>,
  name?: string
) => ExternalCommand;
export {};
